Last Comment Bug 7849 - Editor charset encoding menu needs UE implementation
: Editor charset encoding menu needs UE implementation
Status: VERIFIED FIXED
[nsbeta2+][PDT-]
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: P3 major (vote)
: M16
Assigned To: cata
: Teruko Kobayashi
: Makoto Kato [:m_kato]
Mentors:
: 12085 (view as bug list)
Depends on: 11687
Blocks: 7228 17791 20761
  Show dependency treegraph
 
Reported: 1999-06-09 12:22 PDT by Teruko Kobayashi
Modified: 2000-05-11 17:21 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Teruko Kobayashi 1999-06-09 12:22:44 PDT
Tested 6-09-10 Win32 build.

After you type some Japanese characters in the Editor and select menu File|Save to save the file,
the Japanese characters you typed in the file are missing.

Step of reproduce
1. Launch Apprunner
2. Select menu Tasks|Editor to open the Editor
3. Type Japanese character in the Editor
4. Select menu File|Save and save as a file
5. Open the file you saved in step #4 from Browser
You cannot see any Japanese characters in the page.
Comment 1 Frank Tang 1999-06-10 22:35:59 PDT
Naoki, please handle this since you are the most knowledge person about Ender in
our group. Thanks.
Comment 2 Katsuhiko Momoi 1999-06-10 23:46:59 PDT
I don't see that there is a charset menu in Editor yet.
I have been able to save Latin1 high-bit characters, however.
This seems to indicate that we are defaulting to Latin 1 in Editor.
Comment 3 nhottanscp 1999-06-11 11:20:59 PDT
I am going to put charset menu for M8 (identical one as mail compose).
Then I will reassign to Ender group. Adding Steve Clark to cc.
Comment 4 nhottanscp 1999-06-14 16:25:59 PDT
Correction to my last comment. Plan to make the menu identical to browser not
mail compose.
Comment 5 nhottanscp 1999-06-21 13:49:59 PDT
I added a charset menu for HTML editor. This is UI only change and the menu is
not functioning.
Please reassign this to someone in Ender.
Comment 6 buster 1999-06-23 23:41:59 PDT
Could somebody in I18N please explain what this menu is supposed to do?
I can guess that it is supposed to call nsIDocument::SetDocumentCharacterSet,
but I don't know how we are supposed to know what string to pass in as the char
set.
Comment 7 buster 1999-06-24 12:26:59 PDT
After some research, I think I understand this issue better.  I think the editor
needs to do 2 things in response to a Character Set menu selection:
1. create/change a META tag in the head to reflect the new character set
2. store the character set choice internally, so on output XIF can choose the
correct converter.
The interface on nsIDocument is irrelevant for our purposes.  It causes a
re-parse of the document which is something we DON'T want while editing.
Assigned to Akkana.
Comment 8 Akkana Peck 1999-06-24 14:03:59 PDT
Move XIF/I18n bugs to M9; they're dependant on stubs which I18n is trying to get
in for M8.
Comment 9 Akkana Peck 1999-07-13 15:31:59 PDT
Changing summary; it was misleading, this isn't an output/XIF issue, it's an
issue of implementing the charset menu.  Not clear who owns this; it doesn't
seem to appear on our editor schedule.
Comment 10 Katsuhiko Momoi 1999-07-13 15:34:59 PDT
A spec for implementing this is coming soon.
Comment 11 buster 1999-07-14 17:28:59 PDT
I think fixing this bug (really a feature request) requires 2 things:
1. code to create the meta tag properly (finding/creating <HEAD>, scanning
<META> tags for the charset attribute, inserting/replacing the charset attribute
in the right META tag)
2. storing information in the editor about the current charset, so that
information can be passed along to I18N converters on output.
Akkana, I will add the editor portions of this to the editor schedule.
Comment 12 Katsuhiko Momoi 1999-07-14 17:40:59 PDT
For clarification, what I meant by "spec" is a UI spec. Engineering
details will be left to engineer assiged and I18n consultants.
Comment 13 Akkana Peck 1999-07-22 10:39:59 PDT
Reassigning to momoi, since we can't do anything about this until we know what
we're supposed to do.  Please reassign back to the editor group when the spec is
ready.  Also adding brade to cc list.
Comment 14 Katsuhiko Momoi 1999-07-30 01:03:59 PDT
Working on this. It will be a few more days. Accepting it.
Comment 15 Katsuhiko Momoi 1999-08-16 01:12:59 PDT
Basic encoding menu is now in via Bug 11687.
We'll keep this bug open to implement other UE specs of
this menu item.
Comment 16 Katsuhiko Momoi 1999-08-24 18:32:59 PDT
We now have a working proposal for implementing this menu here:

http://rocknroll/users/momoi/publish/seamonkey/5_0intleditorui.html

Re-assigning to tague with M11 milestone.
Comment 17 Akkana Peck 1999-09-10 15:26:59 PDT
The menu is there, but it's not changing the meta tag in the document to reflect
the changed charset.  This has caused the problems described in bug 12085.
Comment 18 Akkana Peck 1999-09-10 15:28:59 PDT
*** Bug 12085 has been marked as a duplicate of this bug. ***
Comment 19 Frank Tang 1999-10-01 13:40:59 PDT
cata, I will let you handle "charset" menu work, including this. Tague and Naoki, please help cata. Thanks
Comment 20 Frank Tang 2000-01-24 10:38:35 PST
change platform to ALL
Comment 21 Frank Tang 2000-01-24 10:40:16 PST
Change OS to ALL
Comment 22 Laura Yecies 2000-02-03 17:20:29 PST
PDT - Frank - please explain further why this ought to be +
Comment 23 Frank Tang 2000-02-04 13:24:07 PST
Without it, you cannot create any HTML in Japanese encoding.
Comment 24 Teruko Kobayashi 2000-02-04 15:28:15 PST
Changed QA contact to amasri@netscape.com.
Comment 25 cata 2000-04-04 12:39:02 PDT
Beta2 feature.
Comment 26 leger 2000-05-08 14:56:42 PDT
Putting on [nsbeta2+] radar for beta2 fix.

teruko, msanz thinks this is fixed..can you re-test.
Comment 27 cata 2000-05-11 16:53:42 PDT
After discussing with Kat: 
This bug is no longer pertinent, it has been replaced with a bunch of bugs 
describing the work to be done in better details.
Comment 28 Katsuhiko Momoi 2000-05-11 17:21:16 PDT
Agreed. This original request now has all the pieces filed in separate bugs broken down into 
engineering tasks.
 

Note You need to log in before you can comment on or make changes to this bug.